Create Expected Power Shelf

View as Markdown
Create an Expected Power Shelf to pre-register power shelves expected to be discovered at a Site. Org must have an Infrastructure Provider entity. User must have `FORGE_PROVIDER_ADMIN` role. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also create Expected Power Shelves if they have an account with the Site's Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired

Request

Expected Power Shelf creation request
siteIdstringRequiredformat: "uuid"
ID of the site the Expected Power Shelf belongs to
bmcMacAddressstringRequiredformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Power Shelf’s BMC (Baseboard Management Controller)

shelfSerialNumberstringRequired1-32 characters
Serial number of the Expected Power Shelf
defaultBmcUsernamestring or nullOptional<=16 characters
Username for accessing the Expected Power Shelf's BMC
defaultBmcPasswordstring or nullOptional<=20 characters
Password for accessing the Expected Power Shelf's BMC
ipAddressstring or nullOptional
IP address of the Expected Power Shelf
rackIdstring or nullOptional
Optional rack identifier for this component
namestring or nullOptional
Display name for this component
manufacturerstring or nullOptional
Manufacturer of this component
modelstring or nullOptional
Model of this component
descriptionstring or nullOptional
Description of this component
firmwareVersionstring or nullOptional
Firmware version of this component
slotIdinteger or nullOptional
Slot ID within the rack
trayIdxinteger or nullOptional
Tray index within the rack
hostIdinteger or nullOptional
Host ID within the tray
labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Power Shelves

Response

Created
idstringRead-onlyformat: "uuid"
Unique identifier for the Expected Power Shelf
siteIdstringRead-onlyformat: "uuid"
ID of the site the Expected Power Shelf belongs to
bmcMacAddressstringformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Power Shelf’s BMC (Baseboard Management Controller)

shelfSerialNumberstring
Serial number of the Expected Power Shelf
ipAddressstring or null
IP address of the Expected Power Shelf
rackIdstring or null
Optional rack identifier for this component
namestring or null
Display name for this component
manufacturerstring or null
Manufacturer of this component
modelstring or null
Model of this component
descriptionstring or null
Description of this component
firmwareVersionstring or null
Firmware version of this component
slotIdinteger or null
Slot ID within the rack
trayIdxinteger or null
Tray index within the rack
hostIdinteger or null
Host ID within the tray
labelsmap from strings to strings

User-defined key-value pairs for organizing and categorizing Expected Power Shelves

createddatetimeRead-only
ISO 8601 datetime when the Expected Power Shelf was created
updateddatetimeRead-only
ISO 8601 datetime when the Expected Power Shelf was last updated

Errors

400
Bad Request Error
403
Forbidden Error